# API Reference

You can dive into the specifics of each API endpoint below or can directly start playing with our postman and swagger APIs.

[Swagger UI](https://api.shyft.to/sol/api/explore/)

[Postman Documentation](https://documenter.getpostman.com/view/18419720/UzQvt5Kf)

[Import Postman Collection](https://www.getpostman.com/collections/eb766924a309c10d6d7e)

### Wallet

Access your user's entire blockchain data at lightning-fast speeds. All data is auto-indexed and cached for a superior user experience.

Use Cases:

* Get a user's entire portfolio in one single call.
* Search their wallets for specific tokens or NFTs in a dead simple way.
* Address user's by their .sol domain name. Stop showing random hex values in their profile.&#x20;
* Gated access based on their wallet content.

{% content-ref url="wallet" %}
[wallet](https://docs.shyft.to/solana-apis/wallet)
{% endcontent-ref %}

### NFT

The ultimate in the NFT functionality. Create/read/update or burn your NFTs programmatically. All NFTs that you touch through shyft APIs are auto-indexed and stored in our DBs in a denormalized format. Owner data is also indexed to track the change of hands.&#x20;

Use Cases:

* Create master editions and mint them on demand.
* Level up or damage your NFTs on user actions. Ideal for NFT games.
* Filter or query your NFT data.
* Use NFTs as access tokens. Ideal for NFT gated experiences.

{% content-ref url="nft" %}
[nft](https://docs.shyft.to/solana-apis/nft)
{% endcontent-ref %}

### Fungible Tokens

Launch your own tokens and mint them on demand. The token's name, symbol, and image are saved on chain.

Use Cases:

* Create a social currency
* Reward your users for certain actions.
* Airdrops
* Use them as access tokens.
* In-app currency.

{% content-ref url="fungible-tokens" %}
[fungible-tokens](https://docs.shyft.to/solana-apis/fungible-tokens)
{% endcontent-ref %}

### Storage

Upload your data to decentralized storage (IPFS).

{% content-ref url="storage" %}
[storage](https://docs.shyft.to/solana-apis/storage)
{% endcontent-ref %}

### Semi Custodial Wallet

Onboard new users to web3 with our frictionless semi-custodial wallet experience. The private key is divided between the user and us for maximum safety.

Use Cases:

* Super easy wallet creation and management.
* No seed phrases to remember.
* Maximum safety and no loss of funds.
* Unparalleled UX

{% content-ref url="semi-custodial-wallet" %}
[semi-custodial-wallet](https://docs.shyft.to/solana-apis/semi-custodial-wallet)
{% endcontent-ref %}

### NFT Marketplace

Launch a production-grade and serverless in-app marketplace in minutes with SHYFT.&#x20;

Use Cases:

* Earn transaction fees from your user's NFT trades.
* Stop sending your users to 3rd party apps.
* Make your users trade in your own token, increasing its value.
* Increase utility for your NFTs and benefit from it as well.
* No need of deploying a backend or a database, we take care of things end-to-end.

{% content-ref url="nft-marketplace" %}
[nft-marketplace](https://docs.shyft.to/solana-apis/nft-marketplace)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shyft.to/solana-apis/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
